it.gov.taccuino

## Class TaccuinoType.OsservazioniPersonali

- java.lang.Object
- - it.gov.taccuino.TaccuinoType.OsservazioniPersonali

- Enclosing class:
    TaccuinoType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.OsservazioniPersonali
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="noteGenerali" minOccurs="0">
                 <complexType>
                   <simpleContent>
                     <extension base="<urn:taccuino:common>string1_2000">
                       <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                       <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
               <element name="eventi" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="evento" maxOccurs="unbounded" minOccurs="0">
                           <complexType>
                             <simpleContent>
                               <extension base="<urn:taccuino:common>string1_256">
                                 <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="dataEvento" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                 <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                 <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                 <attribute name="code" type="{urn:taccuino:common}string1_200" />
                               </extension>
                             </simpleContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="parametriOsservabili" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="rilevazione" maxOccurs="unbounded">
                           <complexType>
                             <complexContent>
                               <extension base="{urn:taccuino:dataset}rilevazioneType">
                                 <sequence>
                                   <element name="tipoRilevazione" maxOccurs="unbounded">
                                     <complexType>
                                       <simpleContent>
                                         <extension base="<urn:taccuino:common>decimal5_2">
                                           <attribute name="displayName" use="required">
                                             <simpleType>
                                               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                                                 <enumeration value="circonferenzaVita"/>
                                                 <enumeration value="colesteroloHDL"/>
                                                 <enumeration value="colesteroloLDL"/>
                                                 <enumeration value="colesteroloTotale"/>
                                                 <enumeration value="emoglobinaGlicata"/>
                                                 <enumeration value="frequenzaCardiacaRiposo"/>
                                                 <enumeration value="frequenzaRespiratoria"/>
                                                 <enumeration value="glicemiaDigiuno"/>
                                                 <enumeration value="ossimetria"/>
                                                 <enumeration value="peso"/>
                                                 <enumeration value="pressioneDiastolica"/>
                                                 <enumeration value="pressioneSistolica"/>
                                                 <enumeration value="trigliceridi"/>
                                                 <enumeration value="temperatura"/>
                                               </restriction>
                                             </simpleType>
                                           </attribute>
                                           <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                           <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="unit" use="required">
                                             <simpleType>
                                               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                                                 <enumeration value="Kg"/>
                                                 <enumeration value="°C"/>
                                                 <enumeration value="cm"/>
                                                 <enumeration value="mmHg"/>
                                                 <enumeration value="bpm"/>
                                                 <enumeration value="atti per minuto"/>
                                                 <enumeration value="mg/dL"/>
                                                 <enumeration value="mmol/L"/>
                                                 <enumeration value="SpO2%"/>
                                                 <enumeration value="mmol/L"/>
                                                 <enumeration value="%"/>
                                               </restriction>
                                             </simpleType>
                                           </attribute>
                                         </extension>
                                       </simpleContent>
                                     </complexType>
                                   </element>
                                 </sequence>
                               </extension>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="segniSintomi" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="sintomi" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="sintomo" maxOccurs="unbounded">
                                     <complexType>
                                       <complexContent>
                                         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                           <sequence>
                                             <element name="areaInteressata">
                                               <complexType>
                                                 <simpleContent>
                                                   <extension base="<urn:taccuino:common>string1_128">
                                                     <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                                     <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                                     <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                                     <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                                   </extension>
                                                 </simpleContent>
                                               </complexType>
                                             </element>
                                             <element name="descrizione">
                                               <complexType>
                                                 <simpleContent>
                                                   <extension base="<urn:taccuino:common>string1_256">
                                                     <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                                     <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                                     <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                                     <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                                   </extension>
                                                 </simpleContent>
                                               </complexType>
                                             </element>
                                           </sequence>
                                           <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                           <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                           <attribute name="dataInizioSintomo" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                           <attribute name="dataFineSintomo" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                         </restriction>
                                       </complexContent>
                                     </complexType>
                                   </element>
                                 </sequence>
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="dolori">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="dolore" maxOccurs="unbounded">
                                     <complexType>
                                       <complexContent>
                                         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                           <sequence>
                                             <element name="areaInteressata">
                                               <complexType>
                                                 <simpleContent>
                                                   <extension base="<urn:taccuino:common>string1_128">
                                                     <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                                     <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                                     <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                                     <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                                   </extension>
                                                 </simpleContent>
                                               </complexType>
                                             </element>
                                             <element name="descrizione">
                                               <complexType>
                                                 <simpleContent>
                                                   <extension base="<urn:taccuino:common>string1_256">
                                                     <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                                     <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                                     <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                                     <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                                   </extension>
                                                 </simpleContent>
                                               </complexType>
                                             </element>
                                           </sequence>
                                           <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                           <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                           <attribute name="dataInizioDolore" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                           <attribute name="dataFineDolore" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                           <attribute name="valoreDolore">
                                             <simpleType>
                                               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                                                 <enumeration value="0"/>
                                                 <enumeration value="2"/>
                                                 <enumeration value="4"/>
                                                 <enumeration value="6"/>
                                                 <enumeration value="8"/>
                                                 <enumeration value="10"/>
                                               </restriction>
                                             </simpleType>
                                           </attribute>
                                         </restriction>
                                       </complexContent>
                                     </complexType>
                                   </element>
                                 </sequence>
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaccuinoType.OsservazioniPersonali.Eventi` Classe Java per anonymous complex type.
    `static class` | `TaccuinoType.OsservazioniPersonali.NoteGenerali` Classe Java per anonymous complex type.
    `static class` | `TaccuinoType.OsservazioniPersonali.ParametriOsservabili` Classe Java per anonymous complex type.
    `static class` | `TaccuinoType.OsservazioniPersonali.SegniSintomi` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TaccuinoType.OsservazioniPersonali.Eventi` | `eventi`
    `protected TaccuinoType.OsservazioniPersonali.NoteGenerali` | `noteGenerali`
    `protected TaccuinoType.OsservazioniPersonali.ParametriOsservabili` | `parametriOsservabili`
    `protected TaccuinoType.OsservazioniPersonali.SegniSintomi` | `segniSintomi`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OsservazioniPersonali()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaccuinoType.OsservazioniPersonali.Eventi` | `getEventi()` Recupera il valore della proprietà eventi.
    `TaccuinoType.OsservazioniPersonali.NoteGenerali` | `getNoteGenerali()` Recupera il valore della proprietà noteGenerali.
    `TaccuinoType.OsservazioniPersonali.ParametriOsservabili` | `getParametriOsservabili()` Recupera il valore della proprietà parametriOsservabili.
    `TaccuinoType.OsservazioniPersonali.SegniSintomi` | `getSegniSintomi()` Recupera il valore della proprietà segniSintomi.
    `void` | `setEventi(TaccuinoType.OsservazioniPersonali.Eventi value)` Imposta il valore della proprietà eventi.
    `void` | `setNoteGenerali(TaccuinoType.OsservazioniPersonali.NoteGenerali value)` Imposta il valore della proprietà noteGenerali.
    `void` | `setParametriOsservabili(TaccuinoType.OsservazioniPersonali.ParametriOsservabili value)` Imposta il valore della proprietà parametriOsservabili.
    `void` | `setSegniSintomi(TaccuinoType.OsservazioniPersonali.SegniSintomi value)` Imposta il valore della proprietà segniSintomi.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### noteGenerali

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.OsservazioniPersonali.NoteGenerali noteGenerali

    - #### eventi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.OsservazioniPersonali.Eventi eventi

    - #### parametriOsservabili

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.OsservazioniPersonali.ParametriOsservabili parametriOsservabili

    - #### segniSintomi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.OsservazioniPersonali.SegniSintomi segniSintomi

  - ### Constructor Detail

    - #### OsservazioniPersonali

          public OsservazioniPersonali()

  - ### Method Detail

    - #### getNoteGenerali

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.OsservazioniPersonali.NoteGenerali getNoteGenerali()

      Recupera il valore della proprietà noteGenerali.
      Returns:
        possible object is `TaccuinoType.OsservazioniPersonali.NoteGenerali`

    - #### setNoteGenerali

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setNoteGenerali(TaccuinoType.OsservazioniPersonali.NoteGenerali value)

      Imposta il valore della proprietà noteGenerali.
      Parameters:
        `value` - allowed object is `TaccuinoType.OsservazioniPersonali.NoteGenerali`

    - #### getEventi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.OsservazioniPersonali.Eventi getEventi()

      Recupera il valore della proprietà eventi.
      Returns:
        possible object is `TaccuinoType.OsservazioniPersonali.Eventi`

    - #### setEventi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setEventi(TaccuinoType.OsservazioniPersonali.Eventi value)

      Imposta il valore della proprietà eventi.
      Parameters:
        `value` - allowed object is `TaccuinoType.OsservazioniPersonali.Eventi`

    - #### getParametriOsservabili

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.OsservazioniPersonali.ParametriOsservabili getParametriOsservabili()

      Recupera il valore della proprietà parametriOsservabili.
      Returns:
        possible object is `TaccuinoType.OsservazioniPersonali.ParametriOsservabili`

    - #### setParametriOsservabili

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setParametriOsservabili(TaccuinoType.OsservazioniPersonali.ParametriOsservabili value)

      Imposta il valore della proprietà parametriOsservabili.
      Parameters:
        `value` - allowed object is `TaccuinoType.OsservazioniPersonali.ParametriOsservabili`

    - #### getSegniSintomi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.OsservazioniPersonali.SegniSintomi getSegniSintomi()

      Recupera il valore della proprietà segniSintomi.
      Returns:
        possible object is `TaccuinoType.OsservazioniPersonali.SegniSintomi`

    - #### setSegniSintomi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setSegniSintomi(TaccuinoType.OsservazioniPersonali.SegniSintomi value)

      Imposta il valore della proprietà segniSintomi.
      Parameters:
        `value` - allowed object is `TaccuinoType.OsservazioniPersonali.SegniSintomi`

Copyright © 2024. All rights reserved.